Layouts 属性 (ActiveX)
获取文档的 Layouts 集合。 支持的平台:仅限 Windows 言论没有其他评论。 例子VBA: Sub Example_Layouts() ' This example will access the Layouts collection for the current drawing ' and list basic information about the Layouts in the drawing. Dim Layouts As AcadLayouts, Layout As ACADLayout Dim msg As String ' Get layouts collection from document object Set Layouts = ThisDrawing.Layouts msg = vbCrLf ' Start with a space ' Get the names of every layout in this drawing For Each Layout In Layouts msg = msg & Layout.name & vbCrLf Next ' Display a list of available layouts MsgBox "There are " & Layouts.count & " layouts in " & _ ThisDrawing.WindowTitle & ":" & msg End Sub 可视化 LISP: (vl-load-com) (defun c:Example_Layouts() ;; This example will access the Layouts collection for the current drawing ;; and list basic information about the Layouts in the drawing. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Get layouts collection from document object (setq Layouts (vla-get-Layouts doc)) (setq msg "") ;; Start with a space ;; Get the names of every layout in this drawing (vlax-for Layout Layouts (setq msg (strcat msg (vla-get-Name Layout) "\n")) ) ;; Display a list of available layouts (alert (strcat "There are " (itoa (vla-get-Count Layouts)) " layouts in " (vla-get-WindowTitle doc) ":\n" msg)) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:23
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.